:::: MENU ::::
Posts tagged with: AmazonS3

s3cmdで警告メッセージが出る

CentOS,sl6で、epelからs3cmdをインストール出来るのですが、バージョンが古いので、警告が出るようです。

$ s3cmd --version
/usr/lib/python2.6/site-packages/S3/Utils.py:17: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
import sha as sha1
s3cmd version 0.9.9.9

解決方法として、

S3 tools – Browse /s3cmd at SourceForge.netから、最新版をダウンロードし、pythonインストールで解決出来ますね。

$ wget "http://downloads.sourceforge.net/project/s3tools/s3cmd/1.1.0-beta3/s3cmd-1.1.0-beta3.tar.gz?r=http%3A%2F%2Fsourceforge.net%2Fprojects%2Fs3tools%2Ffiles%2Fs3cmd%2F1.1.0-beta3%2F&ts=1332030694&use_mirror=jaist"
$ tar zxf s3cmd-1.1.0-beta3.tar.gz
$ cd s3cmd-1.1.0-beta3/
$ sudo python setup.py install
$ s3cmd --versions3cmd
version 1.1.0-beta3

もう一つ、転送するときに、下記の警告も出る場合、

WARNING: Module python-magic is not available. Guessing MIME types based on file extensions.

yumでpython-magicをインストールすれば良い

# yum install python-magic